Bug 22015 - Move DataTables CSS to global include
Summary: Move DataTables CSS to global include
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 22261
  Show dependency treegraph
 
Reported: 2018-12-17 18:04 UTC by Owen Leonard
Modified: 2019-02-26 09:15 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22015: Move DataTables CSS to global include (79.70 KB, patch)
2019-02-01 16:22 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22015: Move DataTables CSS to global include (79.78 KB, patch)
2019-02-08 19:31 UTC, José-Mario Monteiro-Santos
Details | Diff | Splinter Review
Bug 22015: Move DataTables CSS to global include (80.54 KB, patch)
2019-02-09 19:23 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22015: Move DataTables CSS to global include (79.61 KB, patch)
2019-02-19 17:26 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-12-17 18:04:19 UTC
We now use DataTables on so many pages in the staff client it doesn't make sense to have to include DataTables CSS on each page where we need it. I propose to move datatables.css and buttons.dataTables.min.css into doc-head-close.inc
Comment 1 Owen Leonard 2019-02-01 16:22:37 UTC
Created attachment 84635 [details] [review]
Bug 22015: Move DataTables CSS to global include

DataTables are used on enough pages in the staff client that it
doesn't make sense to put inclusion of the CSS into each template
where it is needed. This patch moves includes of datatables.css from
individual templates into the global header file.

To test, apply the patch and view various pages which have DataTables.
View various styles of DataTables, e.g.

 - Full pagination, like item search results
 - Four-button, like Saved SQL reports

Everything should look the same as it was.
Comment 2 José-Mario Monteiro-Santos 2019-02-08 19:31:52 UTC
Created attachment 84890 [details] [review]
Bug 22015: Move DataTables CSS to global include

DataTables are used on enough pages in the staff client that it
doesn't make sense to put inclusion of the CSS into each template
where it is needed. This patch moves includes of datatables.css from
individual templates into the global header file.

To test, apply the patch and view various pages which have DataTables.
View various styles of DataTables, e.g.

 - Full pagination, like item search results
 - Four-button, like Saved SQL reports

Everything should look the same as it was.

Signed-off-by: Jose-Mario Monteiro-Santos <jose-mario.monteiro-santos@inLibro.com>
Comment 3 Katrin Fischer 2019-02-09 08:59:00 UTC
Hi José-Mario, thx for testing! If you sign off on something, please make sure the status is changed to "Signed off" after. This will make the patch move forward to the next step in QA.
Comment 4 Katrin Fischer 2019-02-09 19:23:09 UTC
Created attachment 84906 [details] [review]
Bug 22015: Move DataTables CSS to global include

DataTables are used on enough pages in the staff client that it
doesn't make sense to put inclusion of the CSS into each template
where it is needed. This patch moves includes of datatables.css from
individual templates into the global header file.

To test, apply the patch and view various pages which have DataTables.
View various styles of DataTables, e.g.

 - Full pagination, like item search results
 - Four-button, like Saved SQL reports

Everything should look the same as it was.

Signed-off-by: Jose-Mario Monteiro-Santos <jose-mario.monteiro-santos@inLibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Owen Leonard 2019-02-19 17:26:35 UTC
Created attachment 85288 [details] [review]
Bug 22015: Move DataTables CSS to global include

DataTables are used on enough pages in the staff client that it
doesn't make sense to put inclusion of the CSS into each template
where it is needed. This patch moves includes of datatables.css from
individual templates into the global header file.

To test, apply the patch and view various pages which have DataTables.
View various styles of DataTables, e.g.

 - Full pagination, like item search results
 - Four-button, like Saved SQL reports

Everything should look the same as it was.

Signed-off-by: Jose-Mario Monteiro-Santos <jose-mario.monteiro-santos@inLibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Nick Clemens 2019-02-19 20:24:22 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-02-26 09:15:50 UTC
Enhancement, will not be backported to 18.11.x series.